Skip to main content
`Ctrl`+`K`

# EPSErrorView

Displays the errors associated with the computed solution (as well as the eigenvalues).

## Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSErrorView(EPS eps,EPSErrorType etype,PetscViewer viewer)

Collective

## Input Parameters

- eps - the linear eigensolver context

- etype - error type

- viewer - optional visualization context

## Options Database Keys

- -eps_error_absolute - print absolute errors of each eigenpair

- -eps_error_relative - print relative errors of each eigenpair

- -eps_error_backward - print backward errors of each eigenpair

## Notes

By default, this function checks the error of all eigenpairs and prints the eigenvalues if all of them are below the requested tolerance. If the viewer has format `PETSC_VIEWER_ASCII_INFO_DETAIL` then a table with eigenvalues and corresponding errors is printed.

All the command-line options listed above admit an optional argument specifying the viewer type and options. For instance, use `-eps_error_relative :myerr.m:ascii_matlab` to save the errors in a file that can be executed in Matlab.

## See Also

EPS: Eigenvalue Problem Solver, `EPSSolve()`, `EPSValuesView()`, `EPSVectorsView()`

## Level

intermediate

## Location

src/eps/interface/epsview.c

## Examples

src/eps/tutorials/ex55.c
src/eps/tutorials/ex56.c
src/eps/tutorials/ex5.c
src/eps/tutorials/ex46.c
src/eps/tutorials/ex2.c
src/eps/tutorials/ex30.c
src/eps/tutorials/ex29.c
src/eps/tutorials/ex11.c
src/eps/tutorials/ex18.c
src/eps/tutorials/ex58.c

Index of all EPS routines Table of Contents for all manual pages Index of all manual pages